今天要更新flashplugin,然后就出问题了

系统错误报告和讨论
回复
Simon_Ghost
帖子: 39
注册时间: 2006-06-30 17:42
送出感谢: 0
接收感谢: 0
联系:

今天要更新flashplugin,然后就出问题了

#1

帖子 Simon_Ghost » 2006-09-20 23:48

发行版:ubuntu 6.06
包的名称:flashplugin-nonfree (7.0.68~ubuntu1~dapper1)
摘要:今天新利得要更新这个包,然后我就选更新了,可是有错误,安装不成功后还把原来的卸载了,导致我现在有一些网站没法上。
bug描述:
root@ghostsimon-laptop:~# sudo apt-get install flashplugin-nonfree
Reading package lists... Done
Building dependency tree... Done
flashplugin-nonfree is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up flashplugin-nonfree (7.0.68~ubuntu1~dapper1) ...
Downloading... done.
installation failed
usage: update-rc.d [-n] [-f] <basename> remove
update-rc.d [-n] <basename> defaults [NN | sNN kNN]
update-rc.d [-n] <basename> start|stop NN runlvl [runlvl] [...] .
-n: not really
-f: force
dpkg: error processing flashplugin-nonfree (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)

在网上在线更新也是不行的,总是安装失败,下载了安装包安装以后还是不行,也许是我的安装方法不对,请放出安装包的具体的安装方法,谢谢。
ghost0
帖子: 364
注册时间: 2006-08-11 0:28
送出感谢: 0
接收感谢: 0

#2

帖子 ghost0 » 2006-09-21 2:05

我的也是

dpkg:处理 flashplugin-nonfree (--configure)时出错:
子进程·post-installation script·返回了错误号·1
在处理时有错误发生:
flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)
Simon_Ghost
帖子: 39
注册时间: 2006-06-30 17:42
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 Simon_Ghost » 2006-09-21 12:06

还是自己解决吧,包是不是bug我不知道,不过可以下载下来自己安装,注意要安装在/usr/lib/mozilla-firefox下面,因为我用的是firefox,每个人的情况可能不同吧。
头像
laborer
帖子: 1016
注册时间: 2005-10-25 11:15
送出感谢: 0
接收感谢: 1 次
联系:

#4

帖子 laborer » 2006-09-21 12:14

上次由 laborer 在 2006-09-21 12:44,总共编辑 1 次。
hreiser@oakland:~$ killall -9 wife
police@oakland:~$ sudo find / -user hreiser
court@oakland:~$ sudo mv /home/hreiser /jail/
court@oakland:~$ sudo usermod -d /jail/hreiser -s "/usr/sbin/chroot /jail/" hreiser
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 zhuqin_83 » 2006-09-21 12:38

代码: 全选

sudo gedit /var/lib/dpkg/info/flashplugin-nonfree.postinst
将第35行改为

代码: 全选

update-rc.d flashplugin-nonfree defaults >/dev/null
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
ghost0
帖子: 364
注册时间: 2006-08-11 0:28
送出感谢: 0
接收感谢: 0

#6

帖子 ghost0 » 2006-09-21 13:01

zhuqin_83 写了:

代码: 全选

sudo gedit /var/lib/dpkg/info/flashplugin-nonfree.postinst
将第35行改为

代码: 全选

update-rc.d flashplugin-nonfree defaults >/dev/null
谢谢,照你的方法搞定了,不过能解释一下改成defaults和原来的意义有什么不同吗
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#7

帖子 zhuqin_83 » 2006-09-21 13:02

我也是看人家帖子的。不懂,呵呵。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
Triangle
帖子: 8
注册时间: 2006-08-16 19:16
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 Triangle » 2006-09-23 23:29

ghost0 写了:我的也是

dpkg:处理 flashplugin-nonfree (--configure)时出错:
子进程·post-installation script·返回了错误号·1
在处理时有错误发生:
flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)
我的也出现了这个问题,但是我重试了3次之后又装上去了!
两次之后提示手动运行dpkg --configure -a,然后我运行了,第三次的时候就装上去了
回复

回到 “Ubuntu错误报告”